---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: game-2048
spec:
  replicas: 2
  selector:
    matchLabels:
      app: game-2048
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: game-2048
    spec:
      containers:
        - name: backend
          # Replace the `<>` placeholders with your docker registry info
          image: registry.gitlab.com/andriy.bahlai/game-2048-example:a2c48ad7
          ports:
            - name: http
              containerPort: 8080
          resources:
            requests:
              cpu: 200m
              memory: 100Mi
            limits:
              cpu: 300m
              memory: 200Mi
          # securityContext:
          #   readOnlyRootFilesystem: true
          #   runAsNonRoot: true
          #   allowPrivilegeEscalation: false
          #   capabilities:
          #     drop:
          #       - all
